package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.utils.BaseUtil.isWindows

/**
 * @Author: XuJiakai
 * @Date: 2020/6/3 18:09
 * @Description:
 */
object PhoenixUtil {
  def getPhoenixUrl: String = {
    var queryServerAddress: String = null
    if (isWindows) {
      queryServerAddress = "http://hb-proxy-pub-uf6as8i6h85k02092-001.hbase.rds.aliyuncs.com:8765"
    } else {
      queryServerAddress = "http://hb-uf6as8i6h85k02092-001.hbase.rds.aliyuncs.com:8765"
    }
    val url = "jdbc:phoenix:thin:url=" + queryServerAddress + ";serialization=PROTOBUF"
    url
  }

  def getPhoenixTempView(tempViewTableName: String, phoenixTableName: String, fetchsize: Int = 100): String =
    s"""
       |CREATE TABLE $tempViewTableName USING org.apache.spark.sql.jdbc
       |OPTIONS (
       |  'driver' 'org.apache.phoenix.queryserver.client.Driver',
       |  'url' '${getPhoenixUrl}',
       |  'dbtable' '$phoenixTableName',
       |  'fetchsize' '$fetchsize'
       |)
       |""".stripMargin

}
